import Game.Hanabi.Backend
import Game.Hanabi.VersionInfo

import Game.Hanabi.Strategies.SimpleStrategy hiding (main)
import Game.Hanabi.Strategies.StatefulStrategy hiding (main)
import Game.Hanabi.Strategies.Stateless hiding (main)
import Game.Hanabi.Strategies.EndGameSearch hiding (main)

main = server defOpt{strategies=strs}

strs :: [(String, IO (DynamicStrategy IO))]
strs = [
     ("Stupid example strategy", return $ mkDS "Stupid example strategy" S),
     ("Example strategy with states", return $ mkDS "Example strategy with states" $ SF []),
     ("Stateless implementation of the strategy with states", return $ mkDS "Stateless implementation of the strategy with states" SL),
     ("Strategy with end game search", return $ mkDS "Strategy with end game search" EG)
 -- x , ("Sontakki", return $ mkDS "Sontakki" (Sontakki emptyDefault))
  ]
